%define name smeserver-mediatomb
%define version 1.0
%define release 13
Summary: mediatomb is a helpdesk system
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SMEserver/addon
Source: smeserver-mediatomb-%{version}.tar.gz
Patch0: smeserver-mediatomb-1.0-port_proxypass.patch
Patch1: smeserver-mediatomb-1.0-templates_fixes.patch
Patch2: smeserver-mediatomb-1.0-conf_action.patch
Patch3: smeserver-mediatomb-1.0-bz10546-EOL.patch
Patch4: smeserver-mediatomb-1.0-bz10568.actions.patch
Patch5: smeserver-mediatomb-1.0-bz10546-expand-templates_fixes.patch
Patch6: smeserver-mediatomb-1.0-bz10569-autoscandir.patch
Patch7: smeserver-mediatomb-1.0-bz10546-db-var.patch
Patch8: smeserver-mediatomb-1.0-bz10707-bridge-interface.patch
Patch9: smeserver-mediatomb-1.0-bz10718.mime-type.patch
Patch10: smeserver-mediatomb-1.0-bz10713.inotify.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 9.0
Requires: mediatomb 
Requires: vlc-core
Requires: libupnp
Requires: libdlna
Requires: libextractor
Requires: perl-File-LibMagic
Requires: vorbis-tools
Requires: inotify-tools
AutoReqProv: no

%description
mediatomb is an application adapted as a contrib for SMEserver 

%changelog
* Thu Jan 24 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-13.sme
- add better mime type support  [SME: 10718]
- add inotify-requirement and support for root dir default timed mode [SME: 10713]

* Mon Jan 14 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-12.sme
- allow easy configuration with bridge interface on local interface [SME: 10707]

* Fri Jan 04 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-11.sme
- wrong variable name for DBin templates [SME: 10546]

* Fri Jan 04 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-10.sme
- add /etc/mediatomb [SME: 10546]

* Fri Jan 04 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-8.sme
- add dynamic template for autoscandir [SME: 10569]

* Fri Jan 04 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-7.sme
- fix wrong path to file to expand [SME: 10546]

* Fri Apr 20 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-6.sme
- fix wrong script path  [SME: 10568]

* Tue Mar 27 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-5.sme
- fix warning on db init [SME: 10546]

* Tue Mar 20 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-4.sme
- add requires vorbis
- replace restart in conf-mediatomb by an action that also trigger mysql db creation

* Tue Mar 20 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-3.sme
- fix few templates issues

* Tue Mar 20 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-2.sme
- added proxypass to /mediatomb
- added port 50500 to TCCPort

* Sun Mar 18 2018  CONTRIB MAKER <tests@pialasse.com> 1-1.sme
- initial release
- builds from initial .tar.gz 

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

mkdir root/etc/mediatomb

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)


